智能android UI渲染问题 – 缺less库

经过大量的训练后,我似乎已经得到了我的第一个Hello World应用程序在IntelliJ的最终运行。 我今天下载了最新的终极版。

当我尝试打开UIdevise器中的main.xml时,我得到下面的错误。

谁能帮忙? 我喜欢智能提供商的videoUIdevise师的外观: http : //www.jetbrains.com/idea/features/android-tutorials.jsp

提前致谢

This version of the rendering library is more recent than your version of IntelliJ IDEA. Please update IntelliJ IDEA org.jetbrains.android.uipreview.RenderingException: This version of the rendering library is more recent than your version of IntelliJ IDEA. Please update IntelliJ IDEA at org.jetbrains.android.uipreview.LayoutLibraryLoader.load(LayoutLibraryLoader.java:90) at org.jetbrains.android.sdk.AndroidTargetData.getLayoutLibrary(AndroidTargetData.java:149) at com.android.tools.idea.rendering.RenderService.create(RenderService.java:167) at com.intellij.android.designer.designSurface.AndroidDesignerEditorPanel$6.run(AndroidDesignerEditorPanel.java:485) at com.intellij.util.ui.update.MergingUpdateQueue.execute(MergingUpdateQueue.java:320) at com.intellij.util.ui.update.MergingUpdateQueue.execute(MergingUpdateQueue.java:310) at com.intellij.util.ui.update.MergingUpdateQueue$2.run(MergingUpdateQueue.java:254) at com.intellij.util.ui.update.MergingUpdateQueue.flush(MergingUpdateQueue.java:269) at com.intellij.util.ui.update.MergingUpdateQueue.flush(MergingUpdateQueue.java:227) at com.intellij.util.ui.update.MergingUpdateQueue.run(MergingUpdateQueue.java:217) at com.intellij.util.concurrency.QueueProcessor.runSafely(QueueProcessor.java:238) at com.intellij.util.Alarm$Request$1.run(Alarm.java:327) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) at java.util.concurrent.FutureTask.run(FutureTask.java:262) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) at java.lang.Thread.run(Thread.java:724) 

Solutions Collecting From Web of "智能android UI渲染问题 – 缺less库"

尝试在下拉列表中selectAPI 19而不是20。

在预览选项卡中,只需打开最后一个下拉列表并select较低的Android SDK。 在我的情况下,我select了Android 4.4.2,预览立即出现。

这个版本的渲染库比你的IntelliJ IDEA版本更新。 请更新IntelliJ IDEA

你可以find错误的答案,按照这条线,并更新你的想法14终极这是intellij的新版本